/*****************************************************************

  Copyright (c) 1999 - 2003 by Patrick Amar - pa@lri.fr

    http://www.lri.fr/~pa

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.

*****************************************************************/

#ifndef SECURITY_H
#define SECURITY_H

#define MAX_IP	256
#define NN		4

class Security {
private:
	static int			_host_number;
	static Security*	_access_list [MAX_IP];

	bool			_banned;		// non autoris.
	bool			_star [NN];		// tous autoris? (*.*.*.*)
	unsigned char	_ip_number [NN];	// numro IP.

	Security (bool banned, int ip [NN]);	// constructeur priv.

public:
	static bool banned (unsigned char* ip);
	static void init (const char* filename);
};

#endif
